Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Class SubActionBars2

    java.lang.Object
      org.eclipse.ui.SubActionBars
          org.eclipse.ui.SubActionBars2

All Implemented Interfaces:
  IActionBars, IActionBars2

public class SubActionBars2
extends SubActionBars
implements IActionBars2

A implementation of the extended `IActionBars2` interface. This sub class provides a sub cool bar manager for plugins to contribute multiple cool items.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.ui.SubActionBars
`P_ACTION_HANDLERS`

Constructor Summary
`SubActionBars2(IActionBars2 parent)` Constucts a sub action bars object using an IActionBars2 parent.

Method Summary
`protected SubCoolBarManager` | `createSubCoolBarManager(ICoolBarManager parent)` Returns a new sub coolbar manager.
`void` | `dispose()` Dispose the contributions.
`protected IActionBars2` | `getCastedParent()` Returns the casted parent of the sub action bars.
`ICoolBarManager` | `getCoolBarManager()` Returns the cool bar manager.
`protected void` | `setActive(boolean value)` Activate / deactivate the contributions.

Methods inherited from class org.eclipse.ui.SubActionBars
`activate, activate, addPropertyChangeListener, basicSetActive, clearGlobalActionHandlers, createSubMenuManager, createSubToolBarManager, deactivate, deactivate, fireActionHandlersChanged, firePropertyChange, getActive, getGlobalActionHandler, getGlobalActionHandlers, getMenuManager, getParent, getStatusLineManager, getToolBarManager, isSubMenuManagerCreated, isSubStatusLineManagerCreated, isSubToolBarManagerCreated, partChanged, removePropertyChangeListener, setGlobalActionHandler, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IActionBars
`clearGlobalActionHandlers, getGlobalActionHandler, getMenuManager, getStatusLineManager, getToolBarManager, setGlobalActionHandler, updateActionBars`

Constructor Detail

### SubActionBars2

    public SubActionBars2(IActionBars2 parent)

  Constucts a sub action bars object using an IActionBars2 parent.

Parameters:
  `parent` - the action bars to vitualize.

Method Detail

### getCastedParent

    protected IActionBars2 getCastedParent()

  Returns the casted parent of the sub action bars. This method can return an IActionBars2 since it can only accept IActionBars2 in the constructor.

  Returns:
    the casted parent.

### createSubCoolBarManager

    protected SubCoolBarManager createSubCoolBarManager(ICoolBarManager parent)

  Returns a new sub coolbar manager.

  Parameters:
    `parent` - the parent coolbar manager
  Returns:
    the cool bar manager

### getCoolBarManager

    public ICoolBarManager getCoolBarManager()

  Description copied from interface: `IActionBars2`
  Returns the cool bar manager.

  Note: Clients who add or remove items from the returned cool bar manager are responsible for calling `updateActionBars` so that the changes can be propagated throughout the workbench.

  Specified by:
    `getCoolBarManager` in interface `IActionBars2`
  Returns:
    the cool bar manager.

### setActive

    protected void setActive(boolean value)

  Description copied from class: `SubActionBars`
  Activate / deactivate the contributions.

  Overrides:
    `setActive` in class `SubActionBars`

### dispose

    public void dispose()

  Description copied from class: `SubActionBars`
  Dispose the contributions.

  Overrides:
    `dispose` in class `SubActionBars`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.